/*:
 * @plugindesc カメラの主人公に対する追従を切り替えます。
 * @author liply
 *
 * @help
 * プラグインコマンド:
 * NonFollow on
 * NonFollow off
 * で、カメラの主人公に対する追従を切り替えます。
 */

(function(){
    var _Game_Player_updateScroll = Game_Player.prototype.updateScroll;
    Game_Player.prototype.updateScroll = function(){
        if(!$gameSystem._nonFollow){
            _Game_Player_updateScroll.apply(this, arguments);
        }
    };

    var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;
    Game_Interpreter.prototype.pluginCommand = function(cmd, args){
        switch(cmd.toLowerCase()){
            case 'nonfollow':
                $gameSystem._nonFollow = (args[0].toLowerCase() === 'on');
                break;
        }

        return _Game_Interpreter_pluginCommand.apply(this, arguments);
    };
})();